PCRE_COPY_SUBSTRING(3)

NAME
PCRE - Perl-compatible regular expressions

SYNOPSIS

#include <pcre.h>

int pcre_copy_substring(const char *subject, int *ovector,
int stringcount, int stringnumber, char *buffer,
int buffersize);

DESCRIPTION

This is a convenience function for extracting a captured substring into a given buffer. The arguments are:

  subject Subject that has been successfully matched
  ovector Offset vector that pcre_exec() used
  stringcount Value returned by pcre_exec()
  stringnumber Number of the required substring
  buffer Buffer to receive the string
  buffersize Size of buffer

The yield is the legnth of the string, PCRE_ERROR_NOMEMORY if the buffer was too small, or PCRE_ERROR_NOSUBSTRING if the string number is invalid.

There is a complete description of the PCRE native API in the pcreapi page and a description of the POSIX API in the pcreposix page.